package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Dgc;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface DgcMapper {

    int insert(Dgc record);

    int insertSelective(Dgc record);

    int updateByPrimaryKeySelective(Dgc record);

    int updateByPrimaryKey(Dgc record);

    int deleteByPrimaryKey(Dgc record);

    int deleteByIds(Collection<Object> collection);

    Dgc selectByPrimaryKey(Dgc record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Dgc> dyncRead(Map<String,Object> dyncMap);

}